package br.gov.serpro.expresso.cte.common;

import org.openqa.selenium.support.PageFactory;
import org.testng.annotations.Test;

import br.gov.serpro.expresso.cte.pages.common.HomePage;
import br.gov.serpro.expresso.cte.pages.email.ExpressoMailPreferencesPage;
import br.gov.serpro.expresso.cte.pages.email.MailPage;

/**
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 4, 2011 at 3:53:25 PM
 * 
 */
public class BaseEmailTestCase extends BaseTestCase {

	/** Contem os elementos da pagina de email que sao utilizados nos testes. */
	protected MailPage mp;

	/**
	 * Antes dos demais testes do modulo de email serem iniciados, este teste eh
	 * executado. Ele faz o login no Expresso e vai direto para a pagina incial.
	 * Depois clica-se no modulo ExpressoMail para entao inicializar componentes
	 * da pagina.
	 */
	@Test
	public void init() {
		// super.login();
		HomePage hp = PageFactory.initElements(driver, HomePage.class);
		hp.enterMail();
		mp = PageFactory.initElements(driver, MailPage.class);
	}

	/**
	 * Abre pagina de preferencias do modulo ExpressoMail
	 * 
	 * @return
	 */
	public ExpressoMailPreferencesPage openEmailPreferencesPage() {
		driver.get(URL_PREFERENCES_EMAIL);
		return PageFactory.initElements(driver,
				ExpressoMailPreferencesPage.class);
	}

}
