package br.gov.serpro.expresso.cte.email.compor;

import org.openqa.selenium.Alert;
import org.testng.annotations.Test;

import br.gov.serpro.expresso.cte.common.BaseEmailTestCase;

/**
 * Suite:[FUN02.1] Compor Mensagem
 * 
 * Caso de Teste: EL-533:Enviar mensagem sem assunto
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-533
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 4, 2011 at 3:53:07 PM
 * 
 */
public class EnviarEmailSemAssuntoTestCase extends BaseEmailTestCase {

	/**
	 * Executa o teste. Envia um email sem assunto.
	 */
	@Test
	public void test() {
		mp.composeEmail(EMAIL_TESTE_1, "", EMAIL_TEXTO_SEM_ASSUNTO);
		mp.sendMail();
		// Sistema exibe um alerta para confirmacao do envio do email sem
		// assunto.
		Alert noSubject = driver.switchTo().alert();
		assert MSG_ENVIAR_SEM_ASSUNTO.equals(noSubject.getText());
		noSubject.accept();
		mp.assertMessage(MSG_EMAIL_ENVIADO);
	}

}
