package br.gov.serpro.expresso.cte.email.listar;

import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

import br.gov.serpro.expresso.cte.common.BaseEmailTestCase;

/**
 * Suite:[FUN02.3] Listar Mensagem
 * 
 * Caso de Teste: EL-582:Apagar todas mensagens
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-582
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 19, 2011 at 10:37:41 AM
 * 
 */
public class ApagarTodosEmailsTestCase extends BaseEmailTestCase {

	/**
	 * Apaga todos emails de uma pasta.
	 * 
	 * @param folder
	 *            Pasta contendo emails a serem apagados.
	 */
	@Test
	@Parameters({ "folder" })
	public void test(String folder) {
		mp.openFolder(folder);
		mp.selectAllEmails();
		mp.deleteEmail();
		if (mp.getTotalEmails() > 1) {
			mp.assertMessage(MSG_EMAIL_APAGAR_MENSAGENS);
		} else {
			mp.assertMessage(MSG_EMAIL_APAGAR_MENSAGEM);
		}
	}
}
